ARS Verification Confirmation API
Checks whether the customer answered the ARS call and completed verification following the ARS verification request.
ARS Verification Confirmation
Retrieves the result of the ARS verification attempt.
API Information
POST/v1/api/auth/arscheck
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/auth/arscheck운영
https://npay.settlebank.co.kr/v1/api/auth/arscheckRequest Parameters
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number.
Merchant order number.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
└trdNoAN(50)Alphanumeric, up to 50 bytes*Transaction reference number received in the ARS verification request response.
Transaction reference number received in the ARS verification request response.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + mchtCustId + reqDt + reqTm + trdNo + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure 0092: No transaction found 0000: In progress└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└retCdAN(3)Alphanumeric, up to 3 bytes*Detailed error code. 0000: Success, 000: In progress, other values indicate failure.
0000Detailed error code. 0000: Success, 000: In progress, other values indicate failure.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number.
OID201902210001Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction reference number.
STFP_FIRM12345678901234567890Hecto Financial transaction reference number.
Need technical support?
Code Samples
HectoFinancial GitHub